package gov.va.med.esr.service.external.person;

import gov.va.med.esr.service.external.ExternalComponent;
import gov.va.med.esr.service.external.person.collections.AssociationCollection;
import gov.va.med.esr.service.external.person.collections.FeeBasisCollection;
import gov.va.med.esr.service.external.person.collections.InsuranceCollection;
import gov.va.med.esr.service.external.person.collections.RelationCollection;



public class EESummary extends ExternalComponent {

	private static final long serialVersionUID = -1947418609079216218L;

    private EnrollmentDeterminationInfo enrollmentDeterminationInfo;
    
    private MilitaryServiceInfo militaryServiceInfo;
    
    private SpinalCordInjuryInfo spinalCordInjuryInfo;
    
    private EligibilityVerificationInfo eligibilityVerificationInfo;
    
    private IncompetenceRulingInfo incompetenceRulingInfo;
    
    
    private PrisonerOfWarInfo prisonerOfWarInfo;
    
    private PurpleHeartInfo purpleHeart;
    
    private DeathRecondInfo deathRecond;
    
    //private MergeInfo personMerge;
    
    private FeeBasisCollection feeBasisList;
    
    private InsuranceCollection insuranceList;
    
    private AssociationCollection associations;
    
    private RelationCollection relations;
    
    private EmploymentInfo employmentInfo;
    
    private SensitivityInfo sensitivityInfo;
    
    private DemographicInfo demographics;
    
    private FinancialsInfo financialsInfo;
    
    private EligibilityStatusInfo eligibilityStatusInfo;
    
    private DeliveryPreferenceInfo deliveryPreferenceInfo;
    
    private PersonInfo personInfo;
    
    private ConsentInfo consentInfo;
    
    public EESummary(){
    	super();
    }
    
	public DeathRecondInfo getDeathRecond() {
		return deathRecond;
	}

	public void setDeathRecond(DeathRecondInfo deathRecond) {
		this.deathRecond = deathRecond;
	}

	public EnrollmentDeterminationInfo getEnrollmentDeterminationInfo() {
		return enrollmentDeterminationInfo;
	}

	public void setEnrollmentDeterminationInfo(
			EnrollmentDeterminationInfo enrollmentDeterminationInfo) {
		this.enrollmentDeterminationInfo = enrollmentDeterminationInfo;
	}


	public FeeBasisCollection getFeeBasisList() {
		return feeBasisList;
	}

	public void setFeeBasisList(FeeBasisCollection feeBasisList) {
		this.feeBasisList = feeBasisList;
	}

	
	public InsuranceCollection getInsuranceList() {
		return insuranceList;
	}

	public void setInsuranceList(InsuranceCollection insuranceList) {
		this.insuranceList = insuranceList;
	}



	public MilitaryServiceInfo getMilitaryServiceInfo() {
		return militaryServiceInfo;
	}

	public void setMilitaryServiceInfo(MilitaryServiceInfo militaryServiceInfo) {
		this.militaryServiceInfo = militaryServiceInfo;
	}


	public PrisonerOfWarInfo getPrisonerOfWarInfo() {
		return prisonerOfWarInfo;
	}

	public void setPrisonerOfWarInfo(PrisonerOfWarInfo prisonerOfWarInfo) {
		this.prisonerOfWarInfo = prisonerOfWarInfo;
	}

	public PurpleHeartInfo getPurpleHeart() {
		return purpleHeart;
	}

	public void setPurpleHeart(PurpleHeartInfo purpleHeart) {
		this.purpleHeart = purpleHeart;
	}


	public SpinalCordInjuryInfo getSpinalCordInjuryInfo() {
		return spinalCordInjuryInfo;
	}

	public void setSpinalCordInjuryInfo(SpinalCordInjuryInfo spinalCordInjuryInfo) {
		this.spinalCordInjuryInfo = spinalCordInjuryInfo;
	}

	public AssociationCollection getAssociations() {
		return associations;
	}

	public void setAssociations(AssociationCollection associations) {
		this.associations = associations;
	}


	public RelationCollection getRelations() {
		return relations;
	}

	public void setRelations(RelationCollection relations) {
		this.relations = relations;
	}


	public EligibilityVerificationInfo getEligibilityVerificationInfo() {
		return eligibilityVerificationInfo;
	}

	public void setEligibilityVerificationInfo(
			EligibilityVerificationInfo eligibilityVerificationInfo) {
		this.eligibilityVerificationInfo = eligibilityVerificationInfo;
	}


	public IncompetenceRulingInfo getIncompetenceRulingInfo() {
		return incompetenceRulingInfo;
	}

	public void setIncompetenceRulingInfo(
			IncompetenceRulingInfo incompetenceRulingInfo) {
		this.incompetenceRulingInfo = incompetenceRulingInfo;
	}

	public EmploymentInfo getEmploymentInfo() {
		return employmentInfo;
	}

	public void setEmploymentInfo(EmploymentInfo employmentInfo) {
		this.employmentInfo = employmentInfo;
	}

	public SensitivityInfo getSensitivityInfo() {
		return sensitivityInfo;
	}

	public void setSensitivityInfo(SensitivityInfo sensitivityInfo) {
		this.sensitivityInfo = sensitivityInfo;
	}

	public DemographicInfo getDemographics() {
		return demographics;
	}

	public void setDemographics(DemographicInfo demographics) {
		this.demographics = demographics;
	}

	public FinancialsInfo getFinancialsInfo() {
		return financialsInfo;
	}

	public void setFinancialsInfo(FinancialsInfo financialsInfo) {
		this.financialsInfo = financialsInfo;
	}

    /**
     * @return the eligibilityStatusInfo
     */
    public EligibilityStatusInfo getEligibilityStatusInfo() {
        return eligibilityStatusInfo;
    }

    /**
     * @param eligibilityStatusInfo the eligibilityStatusInfo to set
     */
    public void setEligibilityStatusInfo(EligibilityStatusInfo eligibilityStatusInfo) {
        this.eligibilityStatusInfo = eligibilityStatusInfo;
    }

	public DeliveryPreferenceInfo getDeliveryPreferenceInfo() {
		return deliveryPreferenceInfo;
	}

	public void setDeliveryPreferenceInfo(
			DeliveryPreferenceInfo deliveryPreferenceInfo) {
		this.deliveryPreferenceInfo = deliveryPreferenceInfo;
	}

	public PersonInfo getPersonInfo() {
		return personInfo;
	}

	public void setPersonInfo(PersonInfo personInfo) {
		this.personInfo = personInfo;
	}

	public ConsentInfo getConsentInfo() {
		return consentInfo;
	}

	public void setConsentInfo(ConsentInfo consentInfo) {
		this.consentInfo = consentInfo;
	}
	
}
